Subject: bug#27618: Possible bug when compiled with ssl

From: Jean Louis <[email-masked]>
Date: Sat, 8 Jul 2017 22:53:02 +0300

On Sat, Jul 08, 2017 at 08:28:44AM -0700, Paul Eggert wrote:
> Jean Louis wrote:
> > I have seen today that my coreutils was compiled with ssl support, and
> > that is fine for me.
> > ...
> > sort: error while loading shared libraries: libcrypto.so.38: cannot open shared object file: No such file or directory
> 
> It sounds like in practice, it is not actually fine for you (:-). When you
> run 'configure', omit the --with-openssl option; that should fix your
> problem.

Configure cannot run without "sort", and if "sort" is compiled with
ssl, then ./configure is not working, regardless.

What I have done, I've downloaded sort without ssl, and placed it in
/usr/bin/sort just to be able to re-run configure.

Jean